# class Puppet::Util::CommandLine::UnknownSubcommand

@api private

### Public Class Methods

new(subcommand_name, command_line) click to toggle source
Calls superclass method Puppet::Util::CommandLine::NilSubcommand.new

    # File lib/puppet/util/command_line.rb, line 165
    def initialize(subcommand_name, command_line)
      @subcommand_name = subcommand_name
      super(command_line)
    end

### Public Instance Methods

run() click to toggle source
Calls superclass method Puppet::Util::CommandLine::NilSubcommand#run

    # File lib/puppet/util/command_line.rb, line 170
    def run
      puts "Error: Unknown Puppet subcommand '#{@subcommand_name}'"
      super
    end